class pe_repo (
  $base_path = "https://pm.puppetlabs.com/puppet-enterprise",
  $repo_dir  = '/opt/puppet/packages',
  $prefix    = '/packages',
  $master    = $settings::server,
) {

  File {
    ensure => file,
    mode   => 644,
    owner  => root,
    group  => root,
  }

  # We provide this variable as part of the "public API" of this module; any
  # files added to this directory will be served over http, so it's a good
  # place to put custom install scripts.
  $public_dir = "${repo_dir}/public"

  #build file structure
  file { $repo_dir: ensure => directory, }
  file { $public_dir: ensure => directory, }

  # Add a latest symlink
  file { "${public_dir}/current":
    ensure => 'link',
    target => "${public_dir}/${::pe_build}",
  }

  # puppet labs gpg key
  file { "${public_dir}/GPG-KEY-puppetlabs":
    source => 'puppet:///modules/pe_repo/GPG-KEY-puppetlabs',
  }
}
